Name:           anaconda-webui
Version:        18
Release:        1.20241202084045528051.main.59.gf18c150%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-18.59.gf18c150.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext
# Needed for the unitdir macro
BuildRequires: systemd-rpm-macros

%global anacondacorever 0

%if 0%{?fedora} > 41
%global anacondacorever 42.5
%endif

%global cockpitver 275
%global cockpitstorver 311

%define _unitdir /usr/lib/systemd/system

Requires: cockpit-storaged >= %{cockpitstorver}
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif
BuildRequires: desktop-file-utils

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.10
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-log-viewer)) = 5.3.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.11
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/extlinks.desktop

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/extlink
%{_datadir}/anaconda/firefox-theme/extlink/user.js
%{_libexecdir}/anaconda/webui-desktop
%{_libexecdir}/anaconda/firefox-ext
%{_datadir}/applications/extlinks.desktop
%{_unitdir}/webui-cockpit-ws.service


# The changelog is automatically generated and merged
%changelog
* Mon Dec 02 2024 Packit <hello@packit.dev> - 18-1.20241202084045528051.main.59.gf18c150
- infra: bump the stylelint group with 2 updates (dependabot[bot])
- tests: check reusing home on an encrypted btrfs layout (Katerina Koukiou)
- tests: adjust mount point assignmnet tests for the new unlock LUKS position (Katerina Koukiou)
- review: show 'encrypted' instead of 'encrypt' for reused mount points (Katerina Koukiou)
- tests: add test_plan decorator for the existing home reuse on btrfs test (Katerina Koukiou)
- storage: refresh existing systems after unlocking devices (Katerina Koukiou)
- storage: move disk unlocking to the installation method screen (Katerina Koukiou)
- tests: extended partition in EFI operation systems (Adam Kankovsky)
- test: Update testEncryptionPreserved back and forward (Adam Kankovsky)
- Makefile: Update Cockpit lib to 7090fab7372ef7e87e508d207e6468ba (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Add luks to storage context (Adam Kankovsky)
- Update pixel test references (Katerina Koukiou)
- Retheme to better match Fedora (Garrett LeSage)
- infra: bump the patternfly group with 2 updates (dependabot[bot])
- storage: restrict access to the storage editor to the scenario selection step (Katerina Koukiou)
- tests: implement e2e tests for testing RAID1 on partition level with LVM (Katerina Koukiou)
- storage: when detecting usable partitions check all ancestors for the selected disks (Katerina Koukiou)
- cockpit: if selected devices have parents cockpit storage should know about these (Katerina Koukiou)
- Makefile: Update Cockpit lib to 035dc2d9be846320bbe4b2be75c32277 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Disable remove extended partition for efi OS (Adam Kankovsky)
- infra: bump the patternfly group with 3 updates (dependabot[bot])
- infra: fix indentation for open-pull-requests-limit option (Katerina Koukiou)
- infra: create dependabot PRs when developers do not work (Katerina Koukiou)
- infra: stop sending upgrade PRs for Patternfly 6 (Katerina Koukiou)
- infra: bump sass from 1.80.6 to 1.81.0 (dependabot[bot])
- firefox: disable builtin Password Manager / Password Generation (Katerina Koukiou)
- webui-desktop: remove unused exec_prefix, libexecdir variables (Katerina Koukiou)
- Makefile: Update Cockpit lib to b0e82161b4afcb9f0a6fddd8ff94380e (Cockpit Project)
- tests: add UEFI boot tests for dual booting with ubuntu (Katerina Koukiou)
- tests: fix setting of TEST_ALLOW_NOLOGIN env var (Katerina Koukiou)
- Fix typo at line 206 in MountPointMapping.jsx (Jarema)
- po: Update from Fedora Weblate (GitHub Workflow)
- tests: extend test for dual booting with debian (Katerina Koukiou)
